#!/bin/bash
# Copyright ETSI 2018-2021
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

set -e
set -vx

docker rmi -f 46159044887b 6c1c557aec04  33fe82b5f1be 71ea2b5fb820 f298aa5cb193 f2ef07f76335 915945081e63

# Force removing stfubuntu docker image
if [ "$1" == "--force-stfubuntu" ]; then
    if [ -n `docker images -q stfubuntu` ]; then
        docker rmi --force `docker images -q stfubuntu` || exit 1
    fi
fi
# Check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --no-cache --tag ttf_t009_ng112 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect ttf_t009_ng112:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0
